Can't Install Python 3.5.0

Mark Lawrence breamoreboy at yahoo.co.uk
Tue Sep 22 11:15:23 CEST 2015


On 22/09/2015 08:31, Ian Kelly wrote:
> On Mon, Sep 21, 2015 at 7:58 AM, Dave Green <dave.combinatrix at gmail.com
> <mailto:dave.combinatrix at gmail.com>> wrote:
>  >
>  > Hi
>  > I have just spent the last few hours trying to install Python 3.5 64
> bit and 32 bit as I am
>  > trying to install pygame so I can learn Python. However the only
> versions that seems to work
>  > are Python-2.7.10 with pygame-1.91.win32-py2.7.
>  >
>  > I have tried loads of variations but nothing apart from these 2 work.
>  > They all throw up the error below.
>  >
>  > I am running Windows 10 latest release, but the problem appears to be
> with the handling of the  import function.  Unfortunately I need Python
> 3.5 install to follow my course book.
>  >
>  > Any suggestion would be most welcome. Thank you. Dave
>
> Looks like Python 3.5 is working, but there's something wrong with your
> pygame installation. How did you try to install it? On the bitbucket
> page I see there are prebuilt Windows binaries for Python 3.4, but none
> for Python 3.5 yet, so it looks like you would need to build it yourself.
>

http://www.lfd.uci.edu/~gohlke/pythonlibs/#pygame has Python 3.5 
versions for 32 and 64 bit.

-- 
My fellow Pythonistas, ask not what our language can do for you, ask
what you can do for our language.

Mark Lawrence



More information about the Python-list mailing list